/*
 *	DATA.H
 *	Tom Kerrigan's Simple Chess Program (TSCP)
 *
 *	Copyright 1997 Tom Kerrigan
 */


/* this is basically a copy of data.c that's included by most
   of the source files so they can use the data.c variables */

extern int color[64];
extern int piece[64];
extern int side;
extern int xside;
extern int last_capture;
extern int ply;
extern gen_t gen_dat[MOVE_STACK];
extern int gen_begin[HIST_STACK], gen_end[HIST_STACK];
extern int history[64][64];
extern hist_t hist_dat[HIST_STACK];
extern int max_time;
extern int max_depth;
extern long start_time;
extern long stop_time;
extern long nodes;
extern move pv[HIST_STACK][HIST_STACK];
extern int pv_length[HIST_STACK];
extern BOOL follow_pv;
extern hist_t undo_dat[UNDO_STACK];
extern int undos;
extern int mailbox[120];
extern int mailbox64[64];
extern BOOL slide[6];
extern int offsets[6];
extern int offset[2][6][8];
extern int promotion[6];
extern int can_promote_zone[2][6];
extern int must_promote_zone[2][6];
extern char piece_char[6];
extern int init_color[64];
extern int init_piece[64];
